List collateral and exposure operations
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/operations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/operations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"action": "INITIAL_DEPOSIT",
"asset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"createdAt": "2019-01-02T12:34:56.000Z",
"id": "<string>",
"quantity": "<string>",
"type": "COLLATERAL_PACKAGE",
"typeId": "<string>",
"updatedAt": "2019-01-02T12:34:56.000Z",
"liquidationCollateralPackageId": "<string>",
"liquidationProceedAsset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"liquidationProceedQuantity": "<string>",
"notes": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List collateral and exposure operations
Permissions required: Read vault activity
Get all the operations that were booked for collateral packages and exposures.
GET
/
collateral_management
/
operations
List collateral and exposure operations
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/operations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/operations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"action": "INITIAL_DEPOSIT",
"asset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"createdAt": "2019-01-02T12:34:56.000Z",
"id": "<string>",
"quantity": "<string>",
"type": "COLLATERAL_PACKAGE",
"typeId": "<string>",
"updatedAt": "2019-01-02T12:34:56.000Z",
"liquidationCollateralPackageId": "<string>",
"liquidationProceedAsset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"liquidationProceedQuantity": "<string>",
"notes": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Minimum string length:
1Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?